Name:      perl-DBD-Oracle196
Version:   1.80
Release:   2%{?dist}
Summary:   Oracle database driver for the DBI module

Group:     Development/Libraries
License:   GPL+ or Artistic

URL:       http://search.cpan.org/~pythian/DBD-Oracle-%{version}/
Source0:   http://www.cpan.org/authors/id/P/PY/PYTHIAN/DBD-Oracle-%{version}.tar.gz

ExcludeArch: aarch64

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:  oracle-instantclient19.6-basic
Requires:  perl(DBI)
Requires:  libnsl.so.1()(64bit)

BuildRequires:  perl(DBI)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  oracle-instantclient19.6-sqlplus
BuildRequires:  oracle-instantclient19.6-basic
BuildRequires:  oracle-instantclient19.6-devel

Provides:  perl(DBD::Oracle) = %{version}-%{release}
Provides:  perl(DBD::Oracle196) = %{version}-%{release}

# hack
#Provides:  libocci.so.12.1()(64bit)
Provides:  libclntsh.so.19.1()(64bit)

%{?perl_default_filter}

%description
Perl module which works with the DBI module to provide access to
Oracle databases. This package works with Oracle Instantclient 19.6.

%prep
%setup -q -n DBD-Oracle-%{version}

%build
export ORACLE_HOME=/usr/lib/oracle/19.6/client64
export LD_LIBRARY_PATH=/usr/lib/oracle/19.6/client64/lib
perl Makefile.PL -l INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

%files
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/*


%changelog
* Mon May 18 2020 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 1.80-2
- Add requires perl-DBI and libnsl.so.1

* Fri May 15 2020 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 1.80-1
- Initial release
